Mail archive
alpine-aports

[alpine-aports] [PATCH] Initial APKBUILD of Omorfi

From: Frankie Robertson <frankie_at_robertson.name>
Date: Mon, 20 Apr 2015 14:55:09 +0000

---
 testing/omorfi/APKBUILD | 63 +++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 63 insertions(+)
 create mode 100644 testing/omorfi/APKBUILD
diff --git a/testing/omorfi/APKBUILD b/testing/omorfi/APKBUILD
new file mode 100644
index 0000000..80393f1
--- /dev/null
+++ b/testing/omorfi/APKBUILD
_at_@ -0,0 +1,63 @@
+# Contributor: Frankie Robertson <frankie_at_robertson.name>
+# Maintainer:
+pkgname=omorfi
+pkgver=20150326
+pkgrel=0
+pkgdesc="Open morphology for Finnish"
+url="https://github.com/flammie/omorfi"
+arch="noarch"
+license="GPL3"
+depends="hfst bash"
+depends_dev=""
+makedepends="$depends_dev autoconf automake libtool zip hfst-python3"
+install=""
+subpackages="ormofi-doc omorfi-utils omorfi-voikko omorfi-python3"
+source="https://github.com/flammie/omorfi/archive/$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./autogen.sh
+	./configure --prefix=/usr \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm -f "$pkgdir"/usr/lib/*.la
+	rm -rf "$pkgdir"/usr/share/pkgconfig
+}
+
+utils() {
+	depends="bash"
+	mkdir -p "$subpkgdir"/usr/
+	cp -r "$pkgdir"/usr/bin "$subpkgdir"/usr/
+}
+
+voikko() {
+	depends="voikko"
+	mkdir -p "$subpkgdir"/usr/lib/
+	cp -r "$pkgdir"/usr/lib/voikko "$subpkgdir"/usr/lib/
+}
+
+python3() {
+	depends="python3"
+	mkdir -p "$subpkgdir"/usr/lib/
+	cp -r "$pkgdir"/usr/lib/python3* "$subpkgdir"/usr/lib/
+}
+
+md5sums="6a3e7b16c85e78c0ce0e5214c2e8db7d  20150326.tar.gz"
+sha256sums="359d34c93ef07d5852d53774da3454ab649d8d22b8f22bb4a7910dbaae8db82f  20150326.tar.gz"
+sha512sums="618884ec8909efa23a4f77df0a934056dee4a7d235285a108381d0c5ce62d941cc7ff55f788a1618e3257a7541193fd661e1c6c78a71606473c88d68cc73ea78  20150326.tar.gz"
-- 
2.0.5
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Apr 20 2015 - 14:55:09 GMT